Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DataPartitionFederatedScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme

Direct Known Subclasses:
  `BalanceToAvgFederatedScheme`, `KeepDataOnWorkerFederatedScheme`, `ReplicateToMaxFederatedScheme`, `ShuffleFederatedScheme`, `SubsampleToMinFederatedScheme`

public abstract class DataPartitionFederatedScheme extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DataPartitionFederatedScheme.BalanceMetrics`
`static final class`
`DataPartitionFederatedScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`DataPartitionFederatedScheme()`

## Method Summary

Modifier and Type
Method
Description
`abstract DataPartitionFederatedScheme.Result`
`partition(MatrixObject features, MatrixObject labels, int seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataPartitionFederatedScheme

public DataPartitionFederatedScheme()

## Method Details

### partition

public abstract DataPartitionFederatedScheme.Result partition(MatrixObject features, MatrixObject labels, int seed)